package com.icefaces.support.example;

import java.io.Serializable;
import java.util.ArrayList;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean
@SessionScoped
public class TestBean implements Serializable{

    private ArrayList singleList;
    private ArrayList manyList;
    private String singleValue = "1";
    private String manyValue = "1";
    
    public TestBean(){
        singleList = new ArrayList();
        singleList.add(new Item("1", "First Item"));
        
        manyList = new ArrayList();
        manyList.add(new Item("1", "First Item"));
        manyList.add(new Item("2", "Second Item"));
        manyList.add(new Item("3", "Third Item"));
        manyList.add(new Item("5", "Fourth Item"));
    }

    public ArrayList getSingleList() {
        return singleList;
    }

    public void setSingleList(ArrayList singleList) {
        this.singleList = singleList;
    }

    public ArrayList getManyList() {
        return manyList;
    }

    public void setManyList(ArrayList manyList) {
        this.manyList = manyList;
    }

    public String getSingleValue() {
        return singleValue;
    }

    public void setSingleValue(String singleValue) {
        this.singleValue = singleValue;
    }

    public String getManyValue() {
        return manyValue;
    }

    public void setManyValue(String manyValue) {
        this.manyValue = manyValue;
    }
    
    
    
}
